#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_KU(void)
{
#if (PRO_KU) 
   SetTelltalePos("LeftTurn",              LeftTurn);
   SetTelltalePos("HighBeam",              HighBeam);
   SetTelltalePos("HBAGreen",              HBAGreen);
   SetTelltalePos("LowBeam",                LowBeam);
   SetTelltalePos("RearFog",                RearFog);
   SetTelltalePos("Immobilizer",        Immobilizer);
   SetTelltalePos("ParkingBreak",      ParkingBreak);
   SetTelltalePos("AirBag",                  AirBag);
   if (SupportPartNum("94033O3000")){
       SetTelltalePos("ISG Green",             IsgGreen);
       SetTelltalePos("ISG Yellow",           IsgYellow);
   }
   SetTelltalePos("BatteryCharge",    BatteryCharge);
   SetTelltalePos("RightTurn",            RightTurn);
   SetTelltalePos("Tpms",                      Tpms);
   SetTelltalePos("SeatBelt",              SeatBelt);
   SetTelltalePos("ESC",                        ESC);
   SetTelltalePos("EscOff",                  EscOff);
   SetTelltalePos("ABS",                        ABS);
   SetTelltalePos("EPB",                        EPB);
   SetTelltalePos("LfaHdaGreen",        LfaHdaGreen);
   SetTelltalePos("LfaHdaWhite",        LfaHdaWhite);
   SetTelltalePos("AutoHoldYellow",  AutoHoldYellow);
   SetTelltalePos("AutoHoldGreen",    AutoHoldGreen);
   SetTelltalePos("AutoHoldWhite",    AutoHoldWhite);
   SetTelltalePos("LdwLkaGreen",        LdwLkaGreen);
   SetTelltalePos("LdwLkaWhite",        LdwLkaWhite);
   SetTelltalePos("LdwLkaYellow",      LdwLkaYellow);
   SetTelltalePos("TailLamp",              TailLamp);
   SetTelltalePos("CheckEngine",        CheckEngine);
   SetTelltalePos("DpfGpf",                  DpfGpf);
   SetTelltalePos("Mdps",                      Mdps);
   SetTelltalePos("OilPressure",        OilPressure);
   SetTelltalePos("FcaYellow",            FcaYellow);
   SetTelltalePos("MasterSymbol",      MasterSymbol);
   SetTelltalePos("AllLedOpen",          AllLedOpen);
   SetTelltalePos("LowFuel",         DMS_RestoreDefault);
#endif
}


